// some basic defines
#define TEast 0
#define TWest 1
#define TGuerrila 2
#define TCivilian 3
#define TSideUnknown 4
#define TEnemy 5
#define TFriendly 6
#define TLogic 7

#define true 1
#define false 0

// type scope
#define private 0
#define protected 1
#define public 2

#define WeaponNoSlot				0// dummy weapons
#define WeaponSlotPrimary		1// primary weapons
#define WeaponSlotSecondary	16// secondary weapons
#define WeaponSlotItem			256// items
#define WeaponSlotBinocular	4096// binocular
#define WeaponHardMounted		65536

class CfgPatches
{
	class SJBM16ST
	{
		units[] = {SJBM16A2E3Soldier};
		weapons[] = {SJBM16A2_E3};
		requiredVersion = 1.30;
	};
};

class CfgWeapons
{
	class Default{} 
	class MGun: Default{}; 
	class Riffle: MGun{}; 
	class M16: Riffle{};
	class SJBM16A2_E3: M16
{
   scopeWeapon=2;
   scopeMagazine=2;
   model="\SJB_M16A2_E3\SJB_M16A2 E3v3.1.p3d";
   modelOptics="optika_snpierw.p3d";
   picture="\SJB_M16A2_E3\w_m16a2e3.paa";
   optics=1;
   opticsZoomMin=0.012000;
   opticsZoomMax=0.120000;
   displayName="SJB M16A2 E3 Rifle";
   displayNameMagazine="SJBM16A2E3Mag";
   shortNameMagazine="M16";
   drySound[]={"weapons\M16dry",0.010000,1};
   magazines[]={"M16"};
   modes[]={"Single","Burst"};
   class Single
   {
      ammo="BulletSingleW";
      multiplier=1;
      burst=1;
      displayName="SJB M16A2 E3 Single";
      dispersion=0.000200;
      sound[]={"Weapons\M16Single",1.000000,1};
      soundContinuous=0;
      reloadTime=0.150000;
      ffCount=1;
      recoil="riffleSingle";
      autoFire=0;
      aiRateOfFire=5.000000;
      aiRateOfFireDistance=500;
      useAction=0;
      useActionTitle="";
   };
   class Burst
   {
      ammo="BulletBurstW";
      multiplier=1;
      burst=3;
      displayName="SJB M16A2 E3 Burst";
      dispersion=0.000400;
      sound[]={"Weapons\M16Burst",1.000000,1};
      soundContinuous=0;
      reloadTime=0.100000;
      ffCount=3;
      recoil="riffleBurst3";
      autoFire=0;
      aiRateOfFire=5.000000;
      aiRateOfFireDistance=500;
      useAction=0;
      useActionTitle="";
   	};
    };
};
class CfgVehicles
{
	class All{};
	class AllVehicles: All{};
	class Land: AllVehicles{};
	class Man: Land {}; 
	class Soldier: Man {}; 
	class SoldierWB: Soldier {};
	class SJBM16A2E3Soldier: SoldierWB
	{
		displayName="SJB Soldier M16A2 E3";
		scope=2;
		side=1;
		accuracy=0.800000;
		weapons[]={"SJBM16A2_E3","Throw","Put"};
		magazines[]={"M16","M16","M16","M16","HandGrenade","HandGrenade","HandGrenade","HandGrenade","HandGrenade","HandGrenade"};
		};
};

class CfgNonAIVehicles
{
	class ProxyWeapon {};
	class ProxySJBM16A2_E3: ProxyWeapon {};
	};
};
